Name:          libneon
Version:       0.32.1
Release:       1mamba
Summary:       An HTTP and WebDAV client library, with a C interface
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.webdav.org/neon/
Source:        https://github.com/notroj/neon.git/%{version}/neon-%{version}.tar.bz2
#Source0:       http://www.webdav.org/neon/neon-%{version}.tar.gz
Source1:       http://www.webdav.org/neon/neon-0.26.4.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libe2fs-devel
BuildRequires: libexpat-devel
%if "%{stage1}" != "1"
BuildRequires: libkrb5-devel
BuildRequires: libproxy-devel
%endif
BuildRequires: libopenssl-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libkeyutils-devel
BuildRequires: libxml2-devel >= 2.6.20
BuildRequires: openssl >= 1.0.1c-2mamba
BuildRequires: pkgconfig >= 0.15.0
Obsoletes:     libneon24
Obsoletes:     libneon26

%description
Neon is an HTTP and WebDAV client library, with a C interface.
Featuring:
- High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD etc) 
- Low-level interface to HTTP request handling, to allow implementing new methods easily.
- Persistent connections
- RFC2617 basic and digest authentication (including auth-int, md5-sess) 
- Proxy support (including basic/digest authentication) 
- SSL/TLS support using OpenSSL (including client certificate support) 
- Generic WebDAV 207 XML response handling mechanism 
- XML parsing using the expat or libxml parsers 
- Easy generation of error messages from 207 error responses 
- WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
- WebDAV metadata support: set and remove properties, query any set of properties (PROPPATCH/PROPFIND).
- Autoconf macros supplied for easily embedding neon directly inside an application source tree.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      libexpat-devel
%if "%{stage1}" != "1"
Requires: libkrb5-devel
Requires: libproxy-devel
Requires: libkeyutils-devel
%endif

%description devel
Neon is an HTTP and WebDAV client library, with a C interface.
Featuring:
- High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD etc) 
- Low-level interface to HTTP request handling, to allow implementing new methods easily.
- Persistent connections
- RFC2617 basic and digest authentication (including auth-int, md5-sess) 
- Proxy support (including basic/digest authentication) 
- SSL/TLS support using OpenSSL (including client certificate support) 
- Generic WebDAV 207 XML response handling mechanism 
- XML parsing using the expat or libxml parsers 
- Easy generation of error messages from 207 error responses 
- WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
- WebDAV metadata support: set and remove properties, query any set of properties (PROPPATCH/PROPFIND).
- Autoconf macros supplied for easily embedding neon directly inside an application source tree.

This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q -n neon-%{version} -a1
./autogen.sh

%build
%configure \
   --with-ssl --enable-shared \
%if "%{stage1}" == "1"
  --without-libproxy
%endif

%make all docs compile-gmo

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall
%find_lang neon

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f neon.lang
%defattr(-,root,root)
%{_libdir}/libneon.so.*
%doc AUTHORS THANKS

%files devel
%defattr(-,root,root)
%{_bindir}/neon-config
%{_libdir}/pkgconfig/neon.pc
%{_libdir}/libneon.so
%{_libdir}/libneon.a
%{_libdir}/libneon.la
%dir %{_includedir}/neon
%{_includedir}/neon/*.h
%dir %{_datadir}/doc/neon-%{version}
%{_datadir}/doc/neon-%{version}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%doc BUGS NEWS TODO

%changelog
* Tue Sep 21 2021 Automatic Build System <autodist@mambasoft.it> 0.32.1-1mamba
- automatic version update by autodist

* Mon Sep 20 2021 Automatic Build System <autodist@mambasoft.it> 0.32.0-1mamba
- automatic version update by autodist

* Sat Jun 20 2020 Automatic Build System <autodist@mambasoft.it> 0.31.2-1mamba
- automatic version update by autodist

* Wed May 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.1-1mamba
- update to 0.31.1

* Fri Apr 10 2020 Automatic Build System <autodist@mambasoft.it> 0.31.0-1mamba
- automatic update by autodist

* Fri Oct 28 2016 Automatic Build System <autodist@mambasoft.it> 0.30.2-1mamba
- automatic version update by autodist

* Sat Oct 25 2014 Automatic Build System <autodist@mambasoft.it> 0.30.1-1mamba
- automatic version update by autodist

* Sat Jul 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30.0-2mamba
- libneon-devel: add some -devel requirements

* Sun Oct 06 2013 Automatic Build System <autodist@mambasoft.it> 0.30.0-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.29.6-4mamba
- rebuilt with openssl with symbol versioning patch (should fix e.g. subversion)

* Tue Jun 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.29.6-3mamba
- rebuilt with libopenssl 1.0.1c

* Tue Jul 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.29.6-2mamba
- rebuilt with libproxy 0.46

* Mon May 09 2011 Automatic Build System <autodist@mambasoft.it> 0.29.6-1mamba
- automatic update by autodist

* Mon Nov 08 2010 Automatic Build System <autodist@mambasoft.it> 0.29.5-1mamba
- automatic update by autodist

* Wed Jul 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.29.3-3mamba
- rebuilt with openssl 1.0.0

* Wed Jun 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.29.3-2mamba
- disable build and obsolete libneon26

* Mon Jan 25 2010 Automatic Build System <autodist@mambasoft.it> 0.29.3-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 0.29.0-1mamba
- automatic update by autodist

* Fri Aug 28 2009 Automatic Build System <autodist@mambasoft.it> 0.28.6-1mamba
- automatic update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 0.28.5-1mamba
- automatic update by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28.4-1mamba
- automatic update by autodist

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28.3-3mamba
- obsolete libneon25 in libneon26 insted of libneon

* Tue Nov 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28.3-2mamba
- upgrade compatibility subpackage to libneon26, obsolete libneon25

* Tue Nov 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28.3-1mamba
- automatic update by autodist

* Mon Nov 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.26.4-2mamba
- rebuilt against libopenssl 0.9.8

* Wed Aug 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.26.4-1mamba
- update to 0.26.4
- added compatibility package libneon25
- removed package libneon24

* Wed Jan 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.25.4-1qilnx
- update to version 0.25.4 by autospec
- added compatibility package libneon24

* Mon Aug 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.24.7-2qilnx
- rebuild against gcc4
- build requirements added

* Mon Feb 07 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.24.7-1qilnx
- package created by autospec
